# Tetris Game in Go

A simple Tetris game implementation using Go and the Ebiten game engine.

## Requirements

- Go 1.16 or later
- Ebiten v2

## Installation

1. Clone the repository
2. Install dependencies:
```bash
go mod tidy
```

## Running the Game

```bash
go run .
```

## Controls

- Left Arrow: Move piece left
- Right Arrow: Move piece right
- Down Arrow: Move piece down faster
- Up Arrow: Rotate piece
- Space: Drop piece instantly
- ESC: Quit game

## Features

- Classic Tetris gameplay
- Score tracking
- Next piece preview
- Level system